Skip to main content
GET
/
api
/
auth
/
api-keys
curl -X GET https://oro-tradebook-devnet.up.railway.app/api/auth/api-keys \
  -H "x-api-key: your-api-key"
{
  "success": true,
  "data": [
    {
      "id": "key-uuid-1",
      "name": "Trading Key",
      "scope": ["PARTNER_EXECUTIVE_AUTHORITY"],
      "walletAddress": "WalletAddress123",
      "partnerId": 1,
      "createdAt": "2024-01-15T10:30:00.000Z"
    }
  ]
}

Overview

Lists all API keys for the authenticated user. Note that actual API key values are never shown - only metadata. Authorization Required: PARTNER_UPDATE_AUTHORITY or ADMIN

Headers

x-api-key
string
required
Your API key for authentication

Query Parameters

partnerId
string
Partner ID to fetch API keys for (admin only)
status
string
Filter by expiration status: expired, active, or all
scope
string
Filter by scope (e.g., ADMIN, PARTNER_EXECUTIVE_AUTHORITY, PARTNER_UPDATE_AUTHORITY, PARTNER_WITHDRAWAL_AUTHORITY)

Response

success
boolean
Whether the request was successful
data
array
Array of API key metadata objects
curl -X GET https://oro-tradebook-devnet.up.railway.app/api/auth/api-keys \
  -H "x-api-key: your-api-key"
{
  "success": true,
  "data": [
    {
      "id": "key-uuid-1",
      "name": "Trading Key",
      "scope": ["PARTNER_EXECUTIVE_AUTHORITY"],
      "walletAddress": "WalletAddress123",
      "partnerId": 1,
      "createdAt": "2024-01-15T10:30:00.000Z"
    }
  ]
}